Bug 1263723 - Large transformation SQL is truncated in INDEX file.
Large transformation SQL is truncated in INDEX file.
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Barry LaFond
Matus Makovy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 10:06 EDT by Hisanobu Okuda
Modified: 2016-04-14 14:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:20:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2414 Major Closed Large transformation SQL is not exported to INDEX file. 2017-10-16 16:05 EDT

  None (edit)
Description Hisanobu Okuda 2015-09-16 10:06:21 EDT
It's a Teiid Designer bug occurring in JBoss Developer Studio Integration Stack 8.0.3

A large transformation SQL of a view model is not exported to INDEX file.

I have a large transformation SQL in my view model. TDesigner fails to convert the xmi to XXXXXXXXXX.INDEX file. There is no transformation SQL in the INDEX file, therefore, deploying my vdb fails and the vdb is inactivated. When you deploy the vdb, you can see the following message in a log file:-

17:16:11,632 WARN  [org.teiid.PLANNER.RESOLVER] (teiid-async-threads - 2) TEIID31079 View ViewModel.new_table is not defined by a query expression.

17:16:11,636 INFO  [org.teiid.RUNTIME] (teiid-async-threads - 2) TEIID40073 The metadata for the VDB test.1 is loaded, however it is not valid. Check models for errors. Correct the metadata and re-deploy.

17:16:11,637 INFO  [org.teiid.RUNTIME] (teiid-async-threads - 2) TEIID40003 VDB test.1 is set to FAILED

See $WORKSPACE/.metadata/.plugins/org.teiid.designer.core/XXXXXXXXXXXX.INDEX. There is a truncated transformation SQL in it.
Comment 4 JBoss JIRA Server 2015-11-30 15:10:34 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2414 to Resolved
Comment 5 Barry LaFond 2015-12-07 08:20:30 EST
Using only JIRA now.  Marking as closed
Comment 6 JBoss JIRA Server 2016-02-29 06:35:18 EST
Matej Kralik <mkralik@redhat.com> updated the status of jira TEIIDDES-2414 to Closed
Comment 7 JBoss JIRA Server 2016-04-14 14:38:55 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2414 to Reopened
Comment 8 JBoss JIRA Server 2016-04-14 14:49:10 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2414 to Closed

Note You need to log in before you can comment on or make changes to this bug.